Subject: Re: MAKE.EXE: /bin/sh: Command not found
From: [email-masked] (John E Hein)

26 Jun 1997 15:21:17 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
	<[email-masked]>
Original-To: [email-masked] (James Dumser)
Original-CC: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

James Dumser wrote at 15:46 -0500 on Jun 26:
 > On Thu, 26 Jun 1997 12:03:36 -0400, you wrote:
 > >I am running under Windows 95 (command.com... not bash).
 > >When I run make, I get the following error:
 > >
 > >MAKE.EXE: /bin/sh: Command not found
 > >
 > >Here's my makefile:
 > >
 > >% cat makefile
 > >all:
 > >	ls -1 > ls.txt
 > >	gcc c.c -o c.exe
 > >
 > >If I don't redirect (i.e., just 'ls -1'), it works fine.
 > >
 > >I don't have a /bin directory, I just have the gnu-win32 tools (make, ls,
 > > etc.) in a directory somewhere on a network drive (let's say g:\tools\bin).
 > > This directory is in my path.
 > >
 > >How can I get around the problem?
 > 
 > make assumes /bin/sh is your shell. Without redirection, make executes
 > ls directly; with redirection, it hands it off to /bin/sh. You need to
 > have /bin/sh, either the actual executable (copy it) or a symbolic link
 > to where it actually resides.
 > 
 > Actually, you might be able to define SHELL in your Makefile to point
 > to where bash resides; but without trying it, I don't know if make will
 > use SHELL or not.

Actually I tried setting SHELL at the command line... that doesn't work
 for some reason.
But setting SHELL in the makefile does.  I guess that'll work as a kludge
 although if I ever change the location of my tools, I'll have to
 change my makefile template.  I wonder why make does not use the
 SHELL environment variable?

-- 
John E Hein ([email-masked])
Raytheon E-Systems, Falls Church Division, USA
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".